Delete an Inventory
delete
/rest/ofscCore/v1/inventories/{inventoryId}
This operation deletes the specified inventory.
Request
Path Parameters
-
inventoryId(required): integer
The unique identifier of the inventory in Oracle Field Service.
Response
Supported Media Types
- application/json
204 Response
This response code indicates that the operation completed successfully. This operation does not return elements in the response body.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
objectError response
Show Source
-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to delete inventory by submitting a DELETE request on the REST resource:
Example of Request Header
The following shows an example of the request header.
DELETE /rest/ofscCore/v1/inventories/21258546 HTTP/1.0 Authorization: Basic c29hcEB5YW1hdG86MQ== Host: etadev1f Accept: */*
Example of Response Header
The following shows an example of the response header.
HTTP/1.1 204 No Content Server: nginx/1.6.2 Date: Fri, 24 Jul 2015 08:35:48 GMT ContentType: application/json; charset=utf8 Connection: close